import React from 'react';
import Loadable from 'react-loadable';
import { JFLoading } from '../component/JFLoading/JFLoading';

export const rootRouter = [
    {
        path: '/home',
        component:Loadable({
            loader: () => import('../page/Home/Home'),
            loading: () => <JFLoading />
        })
    },
]